Create DefaultValueDefinition
curl --request POST \
--url https://api.ravion.com/default-value-definitions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"givenId": "<string>",
"name": "<string>",
"schema": {
"id": "<string>",
"label": "<string>",
"type": "string",
"collapsible": true,
"default": "<string>",
"description": "<string>",
"immutable": true,
"min_current_value": true,
"no_options_message": "<string>",
"patterns": [
{
"message": "<string>",
"pattern": "<string>"
}
],
"placeholder": "<string>",
"required": true,
"show_when": {},
"values": [
{
"value": "<string>",
"description": "<string>",
"group_label": "<string>",
"label": "<string>",
"show_when": {}
}
]
},
"description": "<string>"
}
}
'import requests
url = "https://api.ravion.com/default-value-definitions"
payload = { "data": {
"givenId": "<string>",
"name": "<string>",
"schema": {
"id": "<string>",
"label": "<string>",
"type": "string",
"collapsible": True,
"default": "<string>",
"description": "<string>",
"immutable": True,
"min_current_value": True,
"no_options_message": "<string>",
"patterns": [
{
"message": "<string>",
"pattern": "<string>"
}
],
"placeholder": "<string>",
"required": True,
"show_when": {},
"values": [
{
"value": "<string>",
"description": "<string>",
"group_label": "<string>",
"label": "<string>",
"show_when": {}
}
]
},
"description": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
givenId: '<string>',
name: '<string>',
schema: {
id: '<string>',
label: '<string>',
type: 'string',
collapsible: true,
default: '<string>',
description: '<string>',
immutable: true,
min_current_value: true,
no_options_message: '<string>',
patterns: [{message: '<string>', pattern: '<string>'}],
placeholder: '<string>',
required: true,
show_when: {},
values: [
{
value: '<string>',
description: '<string>',
group_label: '<string>',
label: '<string>',
show_when: {}
}
]
},
description: '<string>'
}
})
};
fetch('https://api.ravion.com/default-value-definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"createdByType": "USER",
"givenId": "<string>",
"id": "<string>",
"name": "<string>",
"organizationId": "<string>",
"schema": {
"id": "<string>",
"label": "<string>",
"type": "string",
"collapsible": true,
"default": "<string>",
"description": "<string>",
"immutable": true,
"min_current_value": true,
"no_options_message": "<string>",
"patterns": [
{
"message": "<string>",
"pattern": "<string>"
}
],
"placeholder": "<string>",
"required": true,
"show_when": {},
"values": [
{
"value": "<string>",
"description": "<string>",
"group_label": "<string>",
"label": "<string>",
"show_when": {}
}
]
},
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}DefaultValueDefinitions
Create DefaultValueDefinition
POST
/
default-value-definitions
Create DefaultValueDefinition
Body
application/json
Request body for creating resources, excluding read-only properties
Filters a model to only include properties visible during Create lifecycle.
Show child attributes
Show child attributes
Response
The request has succeeded and a new resource has been created as a result.
Show child attributes
Show child attributes
Was this page helpful?
⌘I